{% extends 'base.html.twig' %}

{% block title %}
	Actualités

{% endblock %}

{% block stylesheets %}
	<style>
		.pagination {
			display: inline-block;
		}

		.pagination a {
			color: #F9F617;
			padding: 8px 16px;
			text-decoration: none;
			background-color: #000000;
			transition: background-color 0.3s;
			border: 1px solid #ddd;
		}

		.current {
			color: #000000;
			padding: 8px 16px;
			text-decoration: none;
			background-color: #F9F617;
			transition: background-color 0.3s;
			border: 1px solid #ddd;
		}

		.pagination a.active {
			background-color: #4CAF50;
			color: white;
			border: 1px solid #4CAF50;
		}

		.pagination a:hover:not(.active) {
			background-color: #F9F617;
			color: black;
		}
	</style>
{% endblock %}

{% block body %}

	<main class="mainActu">
		<div class="news">
			<p class="titreActu">
				Dernières actualités
			</p>
		</div>

		{% if is_granted('ROLE_ADMIN') %}
			<a href="{{ path('app_actualite_new') }}">
				<i class="fa-solid fa-file-circle-plus fa-2x" style="color:black"></i>
			</a>
		{% endif %}

		{% for actualite in actualites %}
			<div class="containerNewArticle">
				<div class="border"></div>
				{% if is_granted('ROLE_ADMIN') %}
				<div class="input-admin">
                    <a title="Supprimer" href="{{ path('app_actualite_delete', {'id': actualite.id}) }}"><i class="fa-solid fa-trash fa-2x" style="color:black"></i></a>
					<a href="{{ path('app_actualite_edit', {'id': actualite.id}) }}">
						<i class="fa-solid fa-file-pen fa-2x" style="color:black"></i>
					</a>
				</div>
				{% endif %}
				<p class="titreActu2">
					{{ actualite.titreArt }}
				</p>
				<p class="dateActu">
					<small>Publié le :
						{{ actualite.dateArt  ? actualite.dateArt |date('Y-m-d') : '' }}
					</small>
				</p>
				<img class="imgActu" src="/uploads/{{ actualite.imageActu }}" alt="{{ actualite.titreArt }}">
				<p class="textActu">
					{{ actualite.descriptionArt }}
				</p>
			</div>
		{% else %}
			<p>
				Aucune actualité, veuillez en créer de nouvelles
			</p>
		{% endfor %}

		<div class="navigation">
			{{ knp_pagination_render(actualites) }}
		</div>

	</main>

{% endblock %}
